<form [formGroup]="formGroup" autocomplete="off" class="add-edit-schedule-form">

    <div class="form-group row">

        <div class="col-xl-12 mb-2">
            <mat-checkbox #dateRangeSelection>Select for same date range for all searches</mat-checkbox>
        </div>

        <div class="col-xl-12" *ngIf="dateRangeSelection.checked">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Date Range</mat-label>
                <app-date-range
                        [formGroup]="formGroup"
                        startDateCtrlName="createdDateStartDate"
                        endDateCtrlName="createdDateEndDate"></app-date-range>
<!--                <img matSuffix src="../../../../../../../../../assets/ic-calendar-big.png" style="margin-top: -12px;"/>-->
            </mat-form-field>
        </div>

        <div class="col-xl-12" *ngIf="!dateRangeSelection.checked">
            <mat-form-field appearance="outline">
                <mat-label>Referral Provider Date Range</mat-label>
                <app-date-range #referralDR
                                [formGroup]="formGroup"></app-date-range>
<!--                <img matSuffix src="../../../../../../../../../assets/ic-calendar-big.png" style="margin-top: -12px;"/>-->
            </mat-form-field>
        </div>

        <div class="col-xl-12" *ngIf="(!dateRangeSelection.checked && referralDR && referralDR.isValueSelected) || (dateRangeSelection.checked)">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Referral Practitioner</mat-label>
                <app-dropdown-search formControlName="referralPractitionerId"></app-dropdown-search>
            </mat-form-field>
        </div>

        <div class="col-xl-12" *ngIf="!dateRangeSelection.checked">
            <mat-form-field appearance="outline">
                <mat-label>Date Visited Range</mat-label>
                <app-date-range #providerDR
                                [formGroup]="formGroup"></app-date-range>
<!--                <img matSuffix src="../../../../../../../../../assets/ic-calendar-big.png" style="margin-top: -12px;"/>-->
            </mat-form-field>
        </div>

        <div class="col-xl-12" *ngIf="(!dateRangeSelection.checked && providerDR && providerDR.isValueSelected) || (dateRangeSelection.checked)">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Provider</mat-label>
                <app-dropdown-search formControlName="provider"></app-dropdown-search>
            </mat-form-field>
        </div>

        <div class="col-xl-12" *ngIf="!dateRangeSelection.checked">
            <mat-form-field appearance="outline">
                <mat-label>Offering Date Range</mat-label>
                <app-date-range #offerDR
                                [formGroup]="formGroup"></app-date-range>
<!--                <img matSuffix src="../../../../../../../../../assets/ic-calendar-big.png" style="margin-top: -12px;"/>-->
            </mat-form-field>
        </div>

        <div class="col-xl-12" *ngIf="(!dateRangeSelection.checked && offerDR && offerDR.isValueSelected) || (dateRangeSelection.checked)">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Offering Type</mat-label>
                <app-dropdown-search formControlName="offeringType"></app-dropdown-search>
            </mat-form-field>
        </div>

    </div>
</form>
